package wdpress.tapestry.album;

import org.apache.tapestry.form.IPropertySelectionModel;

import wdpress.tapestry.upload.PictureAsset;

public class AlbumPropertySelectionModel implements IPropertySelectionModel  {

  PictureAsset[] assets;

  public AlbumPropertySelectionModel( PictureAsset[] assets )  {
    this.assets = assets;
  }

  public int getOptionCount()  {
    return assets.length;
  }

  public Object getOption( int index )  {
    return assets[ index ];
  }

  public String getLabel( int index )  {
    return assets[ index ].getFileName();
  }

  public String getValue( int index )  {
    return assets[ index ].getFileName();
  }

  public Object translateValue( String value )  {
    for( int i = 0; i < assets.length; i++ )  {
      if ( assets[ i ].getFileName().equals( value ) )  return assets[ i ];
    }
    return null;
  }

}