package wdpress.tapestry.upload;

import java.io.InputStream;

import org.apache.tapestry.IRequestCycle;
import org.apache.tapestry.asset.AbstractAsset;
import org.apache.tapestry.IAsset;
import org.apache.tapestry.engine.IEngineService;
import org.apache.tapestry.engine.ILink;

public class PictureAsset extends AbstractAsset  {

  private String fileName;
  private String type;

  public PictureAsset( String fileName, String type )  {
    super( null, null );
    this.fileName = fileName;
    this.type     = type;
  }

  public String buildURL( IRequestCycle requestCycle )  {
    IEngineService service =
      requestCycle.getEngine().getService( PictureService.SERVICE_NAME );
    ILink l = service
                .getLink( requestCycle, null, new Object[] { type, fileName } );
    return l.getURL();
  }

  public InputStream getResourceAsStream( IRequestCycle requestCycle )  {
    return null;
  }

  public String getFileName()                   {  return fileName;  }

}