/*
 * 쐬: 2003/12/08
 *
 * ̐ꂽRg̑}ev[gύX邽
 * EBhE > ݒ > Java > R[h > R[hƃRg
 */
package wdpress.tapestry.album;

import wdpress.tapestry.upload.PictureAsset;

import org.apache.tapestry.form.IPropertySelectionModel;

/**
 * @author okibayashi
 *
 * ̐ꂽRg̑}ev[gύX邽
 * EBhE > ݒ > Java > R[h > R[hƃRg
 */
public class AlbumPropertySelectionModel implements IPropertySelectionModel {

	PictureAsset[] assets;

	public AlbumPropertySelectionModel( PictureAsset[] assets )  {
	  this.assets = assets;
	}

	/* ( Javadoc)
	 * @see org.apache.tapestry.form.IPropertySelectionModel#getOptionCount()
	 */
	public int getOptionCount() {
		return assets.length;
	}

	/* ( Javadoc)
	 * @see org.apache.tapestry.form.IPropertySelectionModel#getOption(int)
	 */
	public Object getOption(int index) {
		return assets[ index ];
	}

	/* ( Javadoc)
	 * @see org.apache.tapestry.form.IPropertySelectionModel#getLabel(int)
	 */
	public String getLabel(int index) {
		return assets[ index ].getFileName();
	}

	/* ( Javadoc)
	 * @see org.apache.tapestry.form.IPropertySelectionModel#getValue(int)
	 */
	public String getValue(int index) {
		return assets[ index ].getFileName();
	}

	/* ( Javadoc)
	 * @see org.apache.tapestry.form.IPropertySelectionModel#translateValue(java.lang.String)
	 */
	public Object translateValue(String value) {
		for( int i = 0; i < assets.length; i++ )  {
		  if ( assets[ i ].getFileName().equals( value ) )  return assets[ i ];
		}
		return null;
	}

}
